## net.dontdrinkandroot.utils.resource
Class CachedFileResource

    java.lang.Object
      net.dontdrinkandroot.utils.resource.StreamableWebResource
          net.dontdrinkandroot.utils.resource.CachedFileResource

    public class CachedFileResource

extends StreamableWebResource

Constructor Summary
`CachedFileResource(java.io.File file)`

Method Summary
`java.lang.Long` `getContentLength()`
`java.lang.String` `getContentType()`
`java.lang.Integer` `getErrorCode()`
`java.lang.String` `getErrorMessage()`
`java.lang.Long` `getExpiry()`
`java.lang.String` `getFileName()`
`java.lang.Long` `getLastModified()`
`java.lang.String` `getTextEncoding()`
`StreamableWebResource` `setExpiry(java.lang.Long expiry)`
`void` `setFileName(java.lang.String fileName)`
`void` `write(java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedFileResource

    public CachedFileResource(java.io.File file)

Method Detail

### write

    public void write(java.io.OutputStream os)
               throws java.io.IOException

  Specified by:
    `write` in class `StreamableWebResource`
  Throws:
    `java.io.IOException`

### getErrorCode

    public java.lang.Integer getErrorCode()

  Specified by:
    `getErrorCode` in class `StreamableWebResource`

### getErrorMessage

    public java.lang.String getErrorMessage()

  Specified by:
    `getErrorMessage` in class `StreamableWebResource`

### getFileName

    public java.lang.String getFileName()

  Specified by:
    `getFileName` in class `StreamableWebResource`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in class `StreamableWebResource`

### getTextEncoding

    public java.lang.String getTextEncoding()

  Specified by:
    `getTextEncoding` in class `StreamableWebResource`

### getContentLength

    public java.lang.Long getContentLength()

  Specified by:
    `getContentLength` in class `StreamableWebResource`

### getLastModified

    public java.lang.Long getLastModified()

  Specified by:
    `getLastModified` in class `StreamableWebResource`

### getExpiry

    public java.lang.Long getExpiry()

  Specified by:
    `getExpiry` in class `StreamableWebResource`

### setExpiry

    public StreamableWebResource setExpiry(java.lang.Long expiry)

### setFileName

    public void setFileName(java.lang.String fileName)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.